#include "xrectdef.h"

XRectDef::XRectDef()
    : XAsset()
    , mX(0)
    , mY(0)
    , mW(0)
    , mH(0)
    , mHorzAlign(0)
    , mVertAlign(0)
{
    SetName("Rectangle Definition");
}

XRectDef::~XRectDef()
{
    
}

void XRectDef::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XRectDef::ParseData
}

void XRectDef::Clear()
{
    mX = 0;
    mY = 0;
    mW = 0;
    mH = 0;
    mHorzAlign = 0;
    mVertAlign = 0;
}
